Skip to main content
GET
/
v1
/
customer-portal
/
meters
List Meters
curl --request GET \
  --url https://api.spairehq.com/v1/customer-portal/meters/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "customer_id": "<string>",
      "meter_id": "<string>",
      "consumed_units": 123,
      "credited_units": 123,
      "balance": 123,
      "meter": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Query Parameters

meter_id

Filter by meter ID. The meter ID.

query
string | null

Filter by meter name.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
modified_at,
-modified_at,
meter_id,
-meter_id,
meter_name,
-meter_name,
consumed_units,
-consumed_units,
credited_units,
-credited_units,
balance,
-balance

Response

Successful Response

items
CustomerCustomerMeter · object[]
required
pagination
Pagination · object
required